<!doctype html>

<html>
  <head>
    <title>hook-yt-player test</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">
    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../../web-component-tester/browser.js"></script>
    <script src="../../test-fixture/test-fixture-mocha.js"></script>

    <link rel="import" href="../hook-yt-player.html">
  </head>
  <body>

    <test-fixture id="basic">
      <template>
        <hook-yt-player></hook-yt-player>
      </template>
    </test-fixture>

    <script>

      suite('hook-material-card', function() {

        var hookYTPlayer;
        
        setup(function() {
          hookYTPlayer = fixture('basic');
        });

        test('instantiating the element works', function() {
          assert.equal(hookYTPlayer.is, 'hook-yt-player');
        });

        test('autoplay value set to 0', function() {
          hookYTPlayer.setAttribute('vertical', 0);
          assert.equal(hookYTPlayer.autoplay, 0);
        });

        test('videoId value is frdj1zb9sMY', function() {
          hookYTPlayer.setAttribute('video-id', 'frdj1zb9sMY');
          assert.equal(hookYTPlayer.videoId, 'frdj1zb9sMY');
        });

        test('thumbnail value is filled out', function() {
          hookYTPlayer.setAttribute('thumbnail', 'https://cms-assets.tutsplus.com/uploads/users/69/posts/26743/image/video-styles-with-thumbnail.jpg');
          assert.equal(hookYTPlayer.thumbnail, 'https://cms-assets.tutsplus.com/uploads/users/69/posts/26743/image/video-styles-with-thumbnail.jpg');
        });

        test('id set as "video"', function() {
          hookYTPlayer.setAttribute('id', 'video');
          assert.equal(hookYTPlayer.id, 'video');
        });

        test('fluid property is set to true', function() {
          hookYTPlayer.setAttribute('fluid', true);
          assert.equal(hookYTPlayer.hasAttribute('fluid'), true);
        });

        test('rel property is not set to 1', function() {
          assert.notEqual(hookYTPlayer.rel, 1);
        });

      });

      a11ySuite('basic');

    </script>

  </body>
</html>
